/**
 * L2FProd.com Common Components 0.2-dev License.
 *
 * Copyright 2005 L2FProd.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.starbeans.modules.startip;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;

public class DefaultTipModel implements TipModel {

  private final List<Tip> tips = new ArrayList<>();

  public DefaultTipModel() {}

  public DefaultTipModel(Tip[] tips) {
    this(Arrays.asList(tips));
  }

  public DefaultTipModel(Collection<Tip> tips) {
    this.tips.addAll(tips);
  }

  @Override
  public Tip getTipAt(int index) {
    return (Tip)tips.get(index);
  }

  @Override
  public int getTipCount() {
    return tips.size();
  }

  @Override
  public void add(Tip tip) {
    tips.add(tip);
  }

  public void remove(Tip tip) {
    tips.remove(tip);
  }

  public Tip[] getTips() {
    return (Tip[])tips.toArray(new Tip[tips.size()]);
  }

  public void setTips(Tip[] tips) {
    this.tips.clear();
    this.tips.addAll(Arrays.asList(tips));
  }

}
