/**
 * L2FProd.com Common Components 0.2-dev License.
 *
 * Copyright 2005 L2FProd.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.starbeans.modules.startip.plaf;

import org.starbeans.modules.startip.swing.JLinkButton;
import org.starbeans.modules.startip.plaf.windows.WindowsLookAndFeelAddons;

/**
 * Addon for <code>JLinkButton</code>.<br>
 *
 */
public class JLinkButtonAddon implements ComponentAddon {

    @Override
    public String getName() {
        return "JLinkButton";
    }

    @Override
    public void initialize(LookAndFeelAddons addon) {
        addon.loadDefaults(new Object[]{JLinkButton.UI_CLASS_ID,
            "org.starbeans.modules.startip.plaf.basic.BasicLinkButtonUI",});

        if (addon instanceof WindowsLookAndFeelAddons) {
            addon.loadDefaults(new Object[]{JLinkButton.UI_CLASS_ID,
                "org.starbeans.modules.startip.plaf.windows.WindowsLinkButtonUI"});
        }
    }

    @Override
    public void uninitialize(LookAndFeelAddons addon) {
    }

}
